
TYPO3.Flow - Feature # 7495

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Persistence
Created: 2010-04-27 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Implement support for persistence of nested arrays
Description

At the moment nested arrays cannot be persisted (see exception no. 1260284934). However, this is currently needed by the TYPO3
content model - and will surely be used by other packages in the future.

Related issues:
related to TYPO3.Neos - Task # 7496: Implement nested array support in persis... Resolved 2010-04-28

Associated revisions
Revision d404a79d - 2010-04-30 11:34 - Karsten Dambekalns

[+FEATURE] FLOW3 (Persistence): Implemented nested array support, basics work; relates to #7495, relates to #7496.
[~TASK] FLOW3 (Debugger): Now the var_dump has a lined background even if there is an exception trace shown at the same time.

Revision 96a62436 - 2010-04-30 17:13 - Karsten Dambekalns

[+FEATURE] FLOW3 (Persistence): Added some more tests for nested array support, basics work; resolves #7495, resolves #7496.
[-TASK] FLOW3 (Persistence) removed getCleanState() from AbstractBackend, it was useless since the dirty checking refactoring, relates to #7567.
[~TASK] FLOW3 (Persistence): Adjusted the code to take care of removed objects inside arrays and SplObjectStorages, fixes #7567.

History
#1 - 2010-04-28 11:37 - Karsten Dambekalns
- Status changed from New to Accepted
- Target version set to 1.0 alpha 9
- Start date set to 2010-04-28
- Estimated time set to 6.00

#2 - 2010-04-30 18:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4252.

2015-08-03 1/1


